// Main Content Script:
// This script runs in the protected extension environment and does not have
// full access to the underlying page.

; (function () {
    "use strict";
    //console.log("Hello from content.js in " + window.document.URL);
    // content scripts *might* get loaded multiple times for one frame
    if (window.nuanria_Initialized || !nuanria || !nuanria.Firefox) {
        //console.log("window.nuanria_Initialized already initialized at " + window.document.URL);
        return;
    }
    window.nuanria_Initialized = true;

    nuanria.Firefox.init();

    // ------------------------------------------------------------------------
    // Marking of "local" frames:

    var iframes = document.querySelectorAll("iframe, frame");
    for (var i = 0; i < iframes.length; i++) {
        initLocalFrame(iframes[i]);
    }

    var observer = new MutationObserver(function(mutations) {
        mutations.forEach(function(mutation) {
            for (var i = 0; i < mutation.addedNodes.length; i++) {
                var node = mutation.addedNodes[i];
                if (node.nodeName == "IFRAME") {
                    //console.log("Caught a mutation");
                    initLocalFrame(node);
                }
            }
        });
    });
    observer.observe(document, {childList: true, subtree: true});

    function initLocalFrame(iframe) {
        if (!iframe.contentWindow) {
            return;
        }

        iframe.setAttribute("nuan_newframe", true);
    }

    // ------------------------------------------------------------------------
    // Ping
    document.addEventListener('nuan-ria-ping', function() {
        browser.runtime.sendMessage({type:"ria-ping"}, function(isAlive) {
            var aliveEvent = document.createEvent("CustomEvent");
            aliveEvent.initCustomEvent("nuan-ria-alive", true, true, isAlive);
            document.dispatchEvent(aliveEvent);
        });
    });
}());